package com.bonus.core.account.v3.app.dto;

import cn.hutool.core.collection.CollUtil;
import com.bonus.core.account.constants.AccStatusEnum;
import com.bonus.core.common.page.PageDTO;
import io.swagger.annotations.ApiModelProperty;

import java.util.Arrays;
import java.util.List;

public class AppWorkAccInfoPageDTO extends PageDTO {
   @ApiModelProperty("关键字查询,人员编号，人员姓名，手机号")
   private String keyword;
   @ApiModelProperty("人员类别id集合")
   private List<Integer> psnTypeList;
   @ApiModelProperty("查询组织id集合")
   private List<Long> orgIdList;
   @ApiModelProperty("账户状态 1正常 2停用 3注销 4过期")
   private List<Integer> accStatusList;

   public List<Integer> getAccStatusList() {
      return CollUtil.isEmpty(this.accStatusList) ? Arrays.asList(AccStatusEnum.NORMAL.getKey(), AccStatusEnum.DEACTIVATE.getKey(), AccStatusEnum.OVERDUE.getKey()) : this.accStatusList;
   }

   public String getKeyword() {
      return this.keyword;
   }

   public List<Integer> getPsnTypeList() {
      return this.psnTypeList;
   }

   public List<Long> getOrgIdList() {
      return this.orgIdList;
   }

   public void setKeyword(final String keyword) {
      this.keyword = keyword;
   }

   public void setPsnTypeList(final List<Integer> psnTypeList) {
      this.psnTypeList = psnTypeList;
   }

   public void setOrgIdList(final List<Long> orgIdList) {
      this.orgIdList = orgIdList;
   }

   public void setAccStatusList(final List<Integer> accStatusList) {
      this.accStatusList = accStatusList;
   }

   public String toString() {
      String var10000 = this.getKeyword();
      return "AppWorkAccInfoPageDTO(keyword=" + var10000 + ", psnTypeList=" + String.valueOf(this.getPsnTypeList()) + ", orgIdList=" + String.valueOf(this.getOrgIdList()) + ", accStatusList=" + String.valueOf(this.getAccStatusList()) + ")";
   }



}
